aboutsummaryrefslogtreecommitdiffstats
path: root/main/libunique3
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-05-13 13:01:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-05-13 13:01:57 +0000
commite724c191b6f196207e4216a15e60a34892185e77 (patch)
tree597564e2c8b110612ca781775f8bdbbf7bf3d295 /main/libunique3
parent383abe9ba786a35463522703d30aa04776a85dfc (diff)
downloadaports-e724c191b6f196207e4216a15e60a34892185e77.tar.gz
aports-e724c191b6f196207e4216a15e60a34892185e77.tar.bz2
aports-e724c191b6f196207e4216a15e60a34892185e77.tar.xz
main/libunique3: moved from testing
Diffstat (limited to 'main/libunique3')
-rw-r--r--main/libunique3/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/main/libunique3/APKBUILD b/main/libunique3/APKBUILD
new file mode 100644
index 0000000000..2a1411e6f0
--- /dev/null
+++ b/main/libunique3/APKBUILD
@@ -0,0 +1,41 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libunique3
+pkgver=3.0.2
+pkgrel=0
+pkgdesc="Library for writing single instance applications"
+url="http://live.gnome.org/LibUnique"
+arch="all"
+license="LGPL"
+depends=
+makedepends="gtk+3.0-dev"
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://ftp.gnome.org/pub/gnome/sources/libunique/${pkgver%.*}/libunique-$pkgver.tar.xz
+ "
+
+_builddir="$srcdir"/libunique-$pkgver
+prepare() {
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --disable-static \
+ --disable-dbus \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" -name '*.la' -delete
+}
+md5sums="a52dfbd0fee80f645b74227ade4f01ee libunique-3.0.2.tar.xz"